#ifndef _Pylvaikko_HPP_
#define _Pylvaikko_HPP_

#include <stdio.h>
#include "../externs.hpp"

class Keila
{
public:
    Vector pos;
};

class PylvaikkoParticle
{
public:
    float energy;
    float maxenergy;
    Vector pos;
};

class Pylvaikko : public Base
{
	public:

		Pylvaikko();
		~Pylvaikko();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        void createParticle(int index);
        int count;
        int pcount;

        PylvaikkoParticle *particles;
        Keila *keilat;
		void renderScene(float pos, float alpha);

};

#endif
